<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

// this function displays the "Edit PDF CSS" button in modify.php
// borrowed from the core module.functions.php
function edit_pdf_css($mod_dir) {
	global $page_id, $section_id, $MOD_SHOUTBOX;

	// check if the required edit_module_css.php file exists
	if (!file_exists(WB_PATH . '/modules/edit_module_files.php')) :
		return;
	endif;

	// check if specified module directory is valid
	if (check_module_dir($mod_dir) == '') :
		return;
	endif;

	// check if pdf.css or pdf_user.css exist
	$pdf_user_css = mod_file_exists($mod_dir, 'pdf_user.css');
	$pdf_css = mod_file_exists($mod_dir, 'pdf.css');

	if (!$pdf_user_css) :
		$file = WB_PATH.'/modules/'.$mod_dir.'/pdf.css';
		$new_file = WB_PATH.'/modules/'.$mod_dir.'/pdf_user.css';
		if (!copy($file, $new_file)) :
			echo "failed to copy $file...\n";
		endif;
	endif;

	if (mod_file_exists($mod_dir, 'pdf_user.css')) :
?>
		<form name="edit_module_file" action="<?= WB_URL.'/modules/shoutbox/edit_pdf_css.php?page_id='.$page_id?>" method="post" style="margin: 0; text-align:right;">
		   <input type="hidden" name="page_id" value="<?=$page_id?>">
		   <input type="hidden" name="section_id" value="<?=$section_id;?>">
		   <input type="hidden" name="mod_dir" value="<?=$mod_dir;?>">
		   <input type="hidden" name="edit_file" value="pdf_user.css">
		   <input type="hidden" name="action" value="edit">
		   <button type="submit"><i class="fa fa-fw fa-edit"></i> <?=$MOD_SHOUTBOX['EDIT_PDF_CSS']?></button>
		</form>
<?php
	endif;
}
