<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

$module_directory	= 'shoutbox';
$module_name		= 'Shoutbox';
$module_function	= 'page';
$module_version		= '1.9.5';
$module_platform	= '1.4.x';
$module_author		= 'Matthias Gallas, Rob Smith, Dietrich Roland Pehlke, tomno399, Bernd Michna (last)';
$module_license		= 'GNU General Public License';
$module_description	= 'This page type is designed for making a Shoutbox using "Shout It! By r2xDesign"';
$module_home		= 'http://wbce.org/';
$module_guid		= 'B95B9744-4D89-475F-8DEC-B69B6F9BF129';

/*	Release History:
 *  1.9.5	2022-10-07	Bernd
 * 						- updated TCPDF for PHP8.1 compatibility
 * 	1.9.4	2020-05-16	Bernd Michna
 * 						- fixes for MySQL-Strict
 *  1.9.3	2020-04-17	Bernd Michna
 * 						- added the possibility to use a pdf_user.css
 * 						  so the changes are not overwritten on upgrade
 * 						- made pdf_user.css editable in the backend
 * 						- added missing language vars for EN and FI
 *  1.9.2	2020-04-15	Bernd Michna
 * 						- better PDF generation with the possibility to
 * 						  add header, footer and a logo
 * 						- pdf styling via pdf.css
 * 						- additional setting for display unsername
 *  1.9.1	2020-04-13	Bernd Michna
 * 						- added date/time display settings
 * 						- added refresh button for shoutbox entries
 * 	1.9.0	2020-04-12	Bernd Michna:
 * 						- added select-all checkbox and delete confirmation
 * 						- added tooltips for display of longer messages
 * 						- seperated delete entries from save settings
 * 						- some code cleaning
 * 						- additional configuration parameter
 * 						- fixed a bug with \r\n in char-count
 * 						- re-branding to WBCE
 * 						- fixed jumping to top of page on auto reload
 * 						- added data export as csv/txt and pdf
 * 						- moved the different sections to tabs
 *
 *  1.8.0   2020-03-27 	tomno399:
 * 						Old PHP "mysql_real_escape_string"
 * 					   	changed to (array($database, 'escapeString')
 *
 *  1.7.9	2010-04-03	Secure patches and bugfixes.
 *
 *	1.7.8	2010-04-01	Update some sql-querys and add error-management.
 *	 					Bugfixes and recodings inside the view.php.
 *
 *	1.7.7	2010-02-25	Bugfixes inside the install.php
 *
 *	1.7.6	2009-03-16	Add label for char_counter;
 * 						some code-cleanings inside view.php and frontend.css
 *
 *	1.7.5	2009-03-09	Add "use_as_chat" option incl. js additions
 *
 *	1.7.4	2009-03-04	Add charcounter to the frontend-imput
 *
 *	1.7.3	2009-03-03	Add "use_smileys" in mod_shoutbox_settings
 *
 *	1.7.2	2009-03-02	Add WB DATE- and TIMEFORMAT and Timezone-Correction for the backend.
 *
 *	1.7.1	2009-03-02	Bugfix: all entries was shown, regardless witch page.
 *
 *	1.7.0	2009-03-02	Add listing of the entries in the backend and delete function
 *	 					to get rid of deleting the entries via PhpMyAdmin.
 *	 					Minor cosmetic changes inside view.php and some code-cleanings.
 *
 *	v1.6 Nov 09, 2008
 *	- fixed typo in uninstall.php
 *	- added support for the date and time settings in WB
 *
 *	v1.5 Apr 06, 2008
 *	- added support for edit CSS functions of WB 2.7
 *	- added ` quotes for all DB queries table names and fields to prevent issues with MySQL special chars like -
 *	- changed mechanism to prevent files from beeing accessed directly (redirect instead off displaying an error message)
 *
 *	v1.4 Mar 24, 2008 Matthias Gallas
 *	- frontend output is now XHTML valide
 *	- fixed all E_ALL notices
 *	- replaced all short tags
 *	- moved javascript to frontend.js
 *	- moved all styles from body to frontend.css and backend.css
 *	- error messages  now stylable in frontend.css
 *	- Added default index.php to all folders to prevent directory spoofing
 *	- replaced all copyright notices now includes 2008
 *
 */


