<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

// prevent this file from being accessed directly
if (!defined('WB_PATH')) die(header('Location: ../../index.php'));

$debug = false;

if ( true === $debug ) :
	$vars = get_class_vars("database");
	if (true == in_array ("log_querys", $vars) ) :
		$database->log_querys = true;
		$database->log_path = WB_PATH."/logs/";
		$database->log_filename = "shoutbox_install_log.txt";
	endif;
endif;

// database querys
$all_jobs = array ();

$all_jobs[] = "DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_shoutbox`";

$all_jobs[] = 'CREATE TABLE `'.TABLE_PREFIX.'mod_shoutbox` ( '
	 . '`section_id` INT(11) NOT NULL DEFAULT \'0\','
	 . '`page_id` INT(11) NOT NULL DEFAULT \'0\','
	 . '`id` INT(11) NOT NULL AUTO_INCREMENT,'
	 . '`name` VARCHAR(20) NOT NULL DEFAULT \'\','
	 . '`ip` VARCHAR(15) NOT NULL DEFAULT \'\','
	 . '`message` TEXT NOT NULL ,'
	 . '`date` CHAR(20) NOT NULL NULL DEFAULT \'\','
	 . 'PRIMARY KEY (`id`)'
	 . ' )';

$all_jobs[] = "DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_shoutbox_settings`";

$all_jobs[] = 'CREATE TABLE `'.TABLE_PREFIX.'mod_shoutbox_settings` ( '
	 . '`section_id` INT(11) NOT NULL DEFAULT \'0\','
	 . '`page_id` INT(11) NOT NULL DEFAULT \'0\','
	 . '`max_length` INT(11) NOT NULL DEFAULT \'0\','
	 . '`dmessage` INT(11) NOT NULL DEFAULT \'0\','
	 . '`use_smileys` INT NOT NULL DEFAULT \'0\','
	 . '`use_as_chat` INT NOT NULL DEFAULT \'0\','
	 . '`shoutbox_height` INT NOT NULL DEFAULT \'200\','
 	 . '`show_linebreak` INT NOT NULL DEFAULT \'0\','
 	 . '`show_date` INT NOT NULL DEFAULT \'0\','
 	 . '`show_time` INT NOT NULL DEFAULT \'1\','
	 . '`show_display_name` INT NOT NULL DEFAULT \'0\','
	 . '`hide_username` INT NOT NULL DEFAULT \'0\','
	 . '`name_readonly` INT NOT NULL DEFAULT \'0\','
	 . '`moderator_id` INT NOT NULL DEFAULT \'0\','
	 . '`use_alternative_display` INT NOT NULL DEFAULT \'0\','
	 . '`hide_reload` INT NOT NULL DEFAULT \'0\','
	 . 'PRIMARY KEY (`section_id`)'
	 . ' )';

$all_jobs[] = "DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_shoutbox_pdf_settings`";

$all_jobs[] = 'CREATE TABLE `'.TABLE_PREFIX.'mod_shoutbox_pdf_settings` (
  `id` int NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `section_id` int(11) NOT NULL DEFAULT \'0\',
  `page_id` int(11) NOT NULL DEFAULT \'0\',
  `header1` varchar(255) NOT NULL DEFAULT \'\',
  `header2` varchar(255) NOT NULL DEFAULT \'\',
  `logopic` varchar(255) NOT NULL DEFAULT \'\',
  `table_header` varchar(255) NOT NULL DEFAULT \'\',
  `footer1` varchar(255) NOT NULL DEFAULT \'\',
  `footer2` varchar(255) NOT NULL DEFAULT \'\'
);';

// processing the querys
$errors = array();
foreach ($all_jobs as $q ) :
	$database->query( $q );
	if ( $database->is_error() ) $errors[] = $database->get_error();
endforeach;

if (count($errors) > 0)	$admin->print_error( implode("<br />", $errors), $js_back);
