<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

require_once "../../config.php";

// testing for calling from inside WBCE or from another installation/hacker
$caller = explode("?", $_SERVER['HTTP_REFERER']);
$test = ADMIN_URL."/pages/modify.php";
if ($caller[0] != $test) die ( header('Location: ../../index.php') );

$admin = new admin;

require_once 'tcpdf/tcpdf.php';
class MYPDF extends TCPDF {
	public function Footer() {
		$this->SetY(-15);
		$this->SetX(0);
		$this->SetFont('helvetica', 'I', 8);
		$this->Cell(0, 0, '-- '.$this->getAliasNumPage().'/'.$this->getAliasNbPages().' --', 0, 0, 'R', false, '', 0, false, 'T', 'M');
    }
}
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// fetch and update the pdf settings
$section_id = $admin->get_post('section_id');
$page_id = $admin->get_post('page_id');

$header1 = $admin->get_post('header1');
$header2 = $admin->get_post('header2');
$table_header = $admin->get_post('table_header');
$logopic = $admin->get_post('logopic');
$footer1 = $admin->get_post('footer1');
$footer2 = $admin->get_post('footer2');

$fields = array('header1', 'header2', 'table_header', 'logopic', 'footer1', 'footer2');
$str = "SET ";
foreach ($fields as $item) :
	$str .= "`".$item."`='".$$item."',";
endforeach;
$str = substr($str, 0, -1);

$database->query("UPDATE `".TABLE_PREFIX."mod_shoutbox_pdf_settings` ".$str." WHERE `section_id` = '$section_id'");

// get protocol entries
$qEntries = $database->query ("SELECT message, date, name from ".TABLE_PREFIX."mod_shoutbox where page_id=".$page_id." ORDER BY date ASC");
$i = 0;
while ($aEntries = $qEntries->fetchRow(MYSQLI_ASSOC)) :
	$aData[$i]['date'] = gmdate(DATE_FORMAT, $aEntries['date'] +TIMEZONE);
	$aData[$i]['time'] = gmdate(TIME_FORMAT, $aEntries['date'] +TIMEZONE);
	$aData[$i]['name'] = $aEntries['name'];
	$aData[$i]['message'] = nl2br($aEntries['message']);
	$aData[$i]['nr'] = $i;
	$i++;
endwhile;

// build a nice pdf-filename
$pdf_filename = 'protokoll_'.gmdate("Y-m-d_H-i", time() + TIMEZONE).'.pdf';

// include the pdf-stylesheet
if (file_exists('pdf_user.css')) :
	$css = file_get_contents('pdf_user.css');
elseif (file_exists('pdf.css')) :
	$css = file_get_contents('pdf.css');
else :
	$css = '';
endif;

// build the html for pdf-generation
$oddeven = 'odd';
$html = '';
$html .= '<style>'."\n";
$html .= $css;
$html .= '</style>'."\n";
if ($logopic != '' OR $header1 != '' OR $header2 != '') :
	// print header only if there are data for it
	$html .= '<table class="headertable" cellspacing="0" cellpadding="0"><tr>';
	if ($logopic != '') :
		// with logopic
		$html .= '<td class="logopic-cell"><img src="'.WB_URL.MEDIA_DIRECTORY.'/'.$logopic.'" class="logopic"></td>';
		$html .= '<td class="header-cell">';
		if ($header1 != '') :
			$html .= '<p class="header1">'.$header1.'</p>';
		endif;
		if ($header2 != '') :
			$html .= '<p class="header2">'.$header2.'</p>';
		endif;
		$html .= '</td>';
	else :
		// without logopic
		$html .= '<td>';
		if ($header1 != '') :
			$html .= '<p class="header1">'.$header1.'</p>';
		endif;
		if ($header2 != '') :
			$html .= '<p class="header2">'.$header2.'</p>';
		endif;
		$html .= '</td>';
	endif;
	$html .= '</tr></table>';
	$html .= '<div class="top-spacer"></div>';
endif;

// print the content table
$html .= '<table class="protocol" cellspacing="0" cellpadding="5">';
if ($table_header != '') :
	$html .= '<thead><tr><th colspan="3">';
	$html .= $table_header;
	$html .= '</th></tr></thead>';
endif;
$html .= '<tbody>';
foreach ($aData as $d) :
	$html .= '<tr class="'.$oddeven.'">';
		$html .= '<td class="datetime">'.$d['time'].'</td>';
		$html .= '<td class="name">'.$d['name'].'</td>';
		$html .= '<td class="message">'.$d['message'].'</td>';
	$html .= '</tr>';
	$oddeven = ($oddeven == 'odd') ? 'even' : 'odd';
endforeach;
$html .= '</tbody>';
$html .= '</table>';

$html .= '<div class="bottom-spacer"></div>';

// print the footer
if ($footer1 != '') :
	$html .= '<p class="footer1">'.$footer1.'</p>';
endif;
if ($footer2 != '') :
	$html .= '<p class="footer2">'.$footer2.'</p>';
endif;

// generate the pdf
$pdf->setPrintHeader(false);
//$pdf->setPrintFooter(false);

$pdf->SetFont('helvetica', '', 10);
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

$pdf->AddPage();
$pdf->writeHTML($html, true, false, true, false, '');
$pdf->lastPage();

//possible options: 'I' - show in browser, 'D' - force download
$pdf->Output($pdf_filename, 'I');
