<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

// prevent this file from being accessed directly
if (!defined('WB_PATH')) die(header('Location: index.php'));

// include core functions to edit the optional module CSS files
include_once(WB_PATH .'/framework/module.functions.php');

// check if module language file exists for the language set by the user
if (!file_exists(WB_PATH .'/modules/shoutbox/languages/'.LANGUAGE .'.php')) :
	require_once(WB_PATH .'/modules/shoutbox/languages/EN.php');
else :
	require_once(WB_PATH .'/modules/shoutbox/languages/'.LANGUAGE .'.php');
endif;

// check if backend.css file needs to be included into modify.php
if (!method_exists($admin, 'register_backend_modfiles') && file_exists(WB_PATH.'/modules/shoutbox/backend.css')) :
	echo '<style type="text/css">';
	include(WB_PATH .'/modules/shoutbox/backend.css');
	echo "\n</style>\n";
endif;

// get settings
$qSettings = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_shoutbox_settings` WHERE `section_id` = '$section_id'");
$aSettings = $qSettings->fetchRow(MYSQLI_ASSOC);
$max_length = $aSettings['max_length'];
$dmessage = $aSettings['dmessage'];
$use_smileys = ($aSettings['use_smileys'] == 1) ? 'checked' : '';
$use_as_chat = ($aSettings['use_as_chat'] == 1) ? 'checked' : '';
$shoutbox_height = $aSettings['shoutbox_height'];
$show_linebreak = ($aSettings['show_linebreak'] == 1) ? 'checked' : '';
$show_display_name = ($aSettings['show_display_name'] == 1) ? 'checked' : '';
$name_readonly = ($aSettings['name_readonly'] == 1) ? 'checked' : '';
$moderator_id = $aSettings['moderator_id'];
$show_date = ($aSettings['show_date'] == 1) ? 'checked' : '';
$show_time = ($aSettings['show_time'] == 1) ? 'checked' : '';
$hide_username = ($aSettings['hide_username'] == 1) ? 'checked' : '';
$use_alternative_display = ($aSettings['use_alternative_display'] == 1) ? 'checked' : '';
$alternative_info = 'Name '.$MOD_SHOUTBOX['WROTE_ON'].' '.gmdate(DATE_FORMAT).' '.$MOD_SHOUTBOX['AT'].' '.gmdate(TIME_FORMAT).':';
$hide_reload = ($aSettings['hide_reload'] == 1) ? 'checked' : '';


// get pdf settings
$aPDF = [];
$qPDF = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_shoutbox_pdf_settings` WHERE `section_id` = '$section_id'");
$aPDF = $qPDF->fetchRow(MYSQLI_ASSOC);

// get entries
$qEntries = $database->query ("SELECT message, date, id, name from ".TABLE_PREFIX."mod_shoutbox where page_id=".$page_id." order by date desc");
$fHasEntries = ($qEntries->numRows() > 0) ? true : false;
$i = 0;
while ($aEntries = $qEntries->fetchRow(MYSQLI_ASSOC)) :
	$message = $aEntries['message'];
	if (strlen($message) > 65) :
		$message_short = substr($message,0,65).' ...';
		$fHasMore = true;
	else :
		$message_short = $message;
		$fHasMore = false;
	endif;
	$aData[$i]['message'] = nl2br($message);
	$aData[$i]['message_short'] = $message_short;
	$aData[$i]['has_more'] = $fHasMore;

	$aData[$i]['name'] = (strlen($aEntries['name']) > 30) ? substr($aEntries['name'], 0,30).' ...' : $aEntries['name'];
	$aData[$i]['id'] = $aEntries['id'];
	$aData[$i]['date'] = gmdate(DATE_FORMAT." ".TIME_FORMAT, $aEntries['date'] +TIMEZONE);
	$aData[$i]['oddeven'] = ($i%2 == 0) ? 'odd' : 'even';
	$i++;
endwhile;

// the edit button for stylesheets
if(function_exists('edit_module_css')) :
	edit_module_css('shoutbox');
endif;

include "functions.inc.php";

// include the template file
include "tpl/modify.tpl";
