<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

// look for config file
require "../../config.php";

// testing for calling from inside WBCE or from another installation/hacker
$caller = explode("?", $_SERVER['HTTP_REFERER']);
$test = ADMIN_URL."/pages/modify.php";
if ($caller[0] != $test) die ( header('Location: ../../index.php') );

// include admin wrapper script
$update_when_modified = true;
require WB_PATH."/modules/admin.php";

// get and prepare entries from form
$max_length = $admin->get_post('max_length');
$dmessage = $admin->get_post('dmessage');
$moderator_id = $admin->get_post('moderator_id');

$shoutbox_height = (integer) $admin->get_post('shoutbox_height');
if ($shoutbox_height < 200) $shoutbox_height = 200;

$use_smileys = (integer) $admin->get_post('use_smileys');
if ($use_smileys <> 1) $use_smileys = 0;

$use_as_chat = (integer) $admin->get_post('use_as_chat');
if ($use_as_chat <> 1) $use_as_chat = 0;

$show_linebreak = (integer) $admin->get_post('show_linebreak');
if ($show_linebreak <> 1) $show_linebreak = 0;

$show_display_name = (integer) $admin->get_post('show_display_name');
if ($show_display_name <> 1) $show_display_name = 0;

$name_readonly = (integer) $admin->get_post('name_readonly');
if ($name_readonly <> 1) $name_readonly = 0;

$show_date = (integer) $admin->get_post('show_date');
if ($show_date <> 1) $show_date = 0;

$show_time = (integer) $admin->get_post('show_time');
if ($show_time <> 1) $show_time = 0;

$hide_username = (integer) $admin->get_post('hide_username');
if ($hide_username <> 1) $hide_username = 0;

$use_alternative_display = (integer) $admin->get_post('use_alternative_display');
if ($use_alternative_display <> 1) $use_alternative_display = 0;

$hide_reload = (integer) $admin->get_post('hide_reload');
if ($hide_reload <> 1) $hide_reload = 0;

$errors = array ();

// update database
$fields = array('max_length', 'dmessage', 'shoutbox_height', 'use_smileys', 'use_as_chat', 'show_linebreak', 'show_display_name', 'name_readonly', 'moderator_id','show_date','show_time', 'hide_username','use_alternative_display','hide_reload');

$str = "SET ";
foreach ($fields as $item) :
	$str .= "`".$item."`='".$$item."',";
endforeach;
$str = substr($str, 0, -1);

$database->query("UPDATE `".TABLE_PREFIX."mod_shoutbox_settings` ".$str." WHERE `section_id` = '$section_id'");

if ($database->is_error()) $errors[] = $database->get_error();

// check if there are any db-errors, otherwise say successful
if (count($errors) > 0) :
	$admin->print_error( implode("<br/>", $errors), ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
else :
	$admin->print_success($TEXT['SUCCESS'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
endif;

// print admin footer
$admin->print_footer();
