<section class="shoutbox-contentbox" id="shoutbox-export-tab">
	<?php if ($fHasEntries === true) : ?>
		<div style="float:left;">
			<p><?=$MOD_SHOUTBOX['SELECT_FORMAT']?></p>
			<ul class="format-list">
				<li id="export-csv-protocol"><i class="fa fa-lg fa-fw fa-file-excel-o"></i> <?=$MOD_SHOUTBOX['AS_CSV_P']?></li>
				<li id="export-txt-participant"><i class="fa fa-lg fa-fw fa-file-text-o"></i> <?=$MOD_SHOUTBOX['AS_TXT_T']?></li>
			</ul>
			</ul>
			<div class="result"></div>
			<div id="pdf-result" style="display:none;"></div>
		</div>

		<div id="clean-container" style="float:right;">
			<p><a href="#" id="clean-temp"><?=$MOD_SHOUTBOX['CLEAN_TEMP']?></a></p>
			<p id="cleaned" style="display:none; color:#008000;"><?=$MOD_SHOUTBOX['CLEANED']?></p>
		</div>
		<div style="clear:both;"></div>

		<div style="position:relative;">
			<h3><?=$MOD_SHOUTBOX['AS_PDF_P']?></h3>
			<div style="position: absolute; top: -8px; right: 0;">
				<?php edit_pdf_css('shoutbox'); ?>
			</div>

			<p class="pdf-hint info"><?=$MOD_SHOUTBOX['PDF_HINT']?></p>
			<form name="pdf_settings" id="pdf-settings" action="<?=WB_URL?>/modules/shoutbox/make_pdf.php" method="post" style="margin: 0;" target="_blank">
				<input type="hidden" name="section_id" value="<?=$section_id?>">
				<input type="hidden" name="page_id" value="<?=$page_id?>">
				<p><span><?=$MOD_SHOUTBOX['PDF_HEADER1']?></span><br>
				<input type="text" name="header1" class="fullwidth" maxlength="254"value="<?=$aPDF['header1']?>"></p>
				<p><span><?=$MOD_SHOUTBOX['PDF_HEADER2']?></span><br>
				<input type="text" name="header2" class="fullwidth" maxlength="254"value="<?=$aPDF['header2']?>"></p>
				<p><span><?=$MOD_SHOUTBOX['PDF_LOGO']?></span><br>
				<input type="text" name="logopic" id="logopic" class="fullwidth" maxlength="254"value="<?=$aPDF['logopic']?>"></p>
				<p><span><?=$MOD_SHOUTBOX['PDF_TABLE_HEADER']?></span><br>
				<input type="text" name="table_header" class="fullwidth" maxlength="254"value="<?=$aPDF['table_header']?>"></p>
				<p><span><?=$MOD_SHOUTBOX['PDF_FOOTER1']?></span><br>
				<input type="text" name="footer1" class="fullwidth" maxlength="254"value="<?=$aPDF['footer1']?>"></p>
				<p><span><?=$MOD_SHOUTBOX['PDF_FOOTER2']?></span><br>
				<input type="text" name="footer2" class="fullwidth" maxlength="254"value="<?=$aPDF['footer2']?>"></p>
				<hr>
				<p><button type="submit" name="make_pdf"><i class="fa fa-fw fa-file-pdf-o"></i> <?=$MOD_SHOUTBOX['GENERATE_PDF']?></button>
			</form>
		</div>

	<?php else : ?>
		<p><?=$MOD_SHOUTBOX['SORRY_NO_ENTRIES']?></p>
	<?php endif; ?>

</section>

<script>
	$(document).ready(function() {
		// clean the temp folder
		$('#clean-temp').click(function(e) {
			e.preventDefault();
			var confirmed = confirm("<?=$MOD_SHOUTBOX['CONFIRM_DELETE_CLEAN']?>");
			if (confirmed == true) {
				$('.result').hide();
				$.post('<?=WB_URL?>/modules/shoutbox/ajax/clean_temp_folder.php').done(function(data) {
					//console.log(data);
					$('#cleaned').show('slow').delay(2000).fadeOut();
				});
			}
		});

		// export protocol as csv
		$('#export-csv-protocol').click(function() {
			$('.result').removeClass('error').hide();
			$.post('<?=WB_URL?>/modules/shoutbox/ajax/export_csv_protocol.php', {page_id: '<?=$page_id?>'}).done(function(data) {
				if (data != 'error') {
					$('.result').html(data).show();
				} else {
					var error = '<?=$MOD_SHOUTBOX['CSV_ERROR']?>';
					$('.result').html(error).addClass('error').show().delay(2000).fadeOut();
				}
			});
		});

		// export participants list as txt
		$('#export-txt-participant').click(function() {
			$('.result').removeClass('error').hide();
			$.post('<?=WB_URL?>/modules/shoutbox/ajax/export_txt_participant.php', {page_id: '<?=$page_id?>'}).done(function(data) {
				if (data != 'error') {
					$('.result').html(data).show();
				} else {
					var error = '<?=$MOD_SHOUTBOX['TXT_ERROR']?>';
					$('.result').html(error).addClass('error').show().delay(2000).fadeOut();
				}
			});
		});

		// check for valid pic format for pdf-generation
		$('#pdf-settings').submit(function() {
			var picfile = $('#logopic').val();
			console.log(picfile);
			if (picfile == '') {
				return true;
			} else {
				var allowedExtensions = new Array('jpg','jpeg','JPG','JPEG','gif','GIF','png','PNG');
				var extension =  picfile.split('.');
				extension = extension[extension.length -1];
			console.log(extension);
				var is_valid = false;
				for (var k in allowedExtensions) {
					console.log(allowedExtensions[k]);
					if (allowedExtensions[k] == extension) {
						is_valid = true;
						break;
					}
				}
				if (is_valid == true) {
					return true;
				} else {
					alert('<?=$MOD_SHOUTBOX['INVALID_PICFORMAT']?>');
					$('#logopic').focus().select();
					return false
				}
			}
			return false;
		});

	});
</script>
