<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

if (!defined('WB_PATH')) die(header('Location: ../../index.php'));

$errors = array();

$table_name = TABLE_PREFIX.'mod_shoutbox_settings';
$aFieldNames = ['use_smileys','use_as_chat','show_linebreak','show_date','show_time','show_display_name','hide_username','name_readonly','moderator_id','use_alternative_display','hide_reload'];

foreach ($aFieldNames as $field_name) :
	if ($database->field_exists($table_name, $field_name) !== true) :
		$database->field_add($table_name, $field_name, "INT NOT NULL DEFAULT '0'");
	endif;
endforeach;
if ( $database->is_error() ) $errors[] = $database->get_error();

if ($database->field_exists($table_name, 'shoutbox_height') !== true) :
	$database->field_add($table_name, 'shoutbox_height', "INT NOT NULL DEFAULT '200'");
endif;
if ( $database->is_error() ) $errors[] = $database->get_error();

$q = "DROP TABLE IF EXISTS `".TABLE_PREFIX."mod_shoutbox_pdf_settings`";
$database->query( $q );
if ( $database->is_error() ) $errors[] = $database->get_error();

$q = 'CREATE TABLE `'.TABLE_PREFIX.'mod_shoutbox_pdf_settings` (
  `id` int NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `section_id` int(11) NOT NULL DEFAULT \'0\',
  `page_id` int(11) NOT NULL DEFAULT \'0\',
  `header1` varchar(255) NOT NULL DEFAULT \'\',
  `header2` varchar(255) NOT NULL DEFAULT \'\',
  `logopic` varchar(255) NOT NULL DEFAULT \'\',
  `table_header` varchar(255) NOT NULL DEFAULT \'\',
  `footer1` varchar(255) NOT NULL DEFAULT \'\',
  `footer2` varchar(255) NOT NULL DEFAULT \'\'
);';

$database->query( $q );
if ( $database->is_error() ) $errors[] = $database->get_error();

$q = $database->query("SELECT `section_id`, `page_id` FROM `".TABLE_PREFIX."mod_shoutbox_settings`");
if ($q->numRows($q) > 0) :
	while ($d = $q->fetchRow(MYSQLI_ASSOC)) :
		$section_id = $d['section_id'];
		$page_id = $d['page_id'];
		$qInsert = "INSERT INTO `".TABLE_PREFIX."mod_shoutbox_pdf_settings` (`section_id`, `page_id`) VALUES ('$section_id', '$page_id')";
		$database->query($qInsert);
	endwhile;
	if ( $database->is_error() ) $errors[] = $database->get_error();
endif;

if (count($errors) > 0)	$admin->print_error( implode("<br />", $errors), $js_back);

