<?php
/*
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */

// direct access prevention
if (!defined('WB_PATH')) die( header('location: ../../index.php') );

$lang = (dirname(__FILE__))."/languages/". LANGUAGE .".php";
require_once (!file_exists($lang)) ? dirname(__FILE__)."/languages/EN.php" : $lang;

// check if frontend.css file needs to be included into the <body></body> of view.php
if ((!function_exists('register_frontend_modfiles') ||
	 !defined('MOD_FRONTEND_CSS_REGISTERED')) &&
	 file_exists(WB_PATH .'/modules/shoutbox/frontend.css')) :
	echo '<style type="text/css">';
	include(WB_PATH .'/modules/shoutbox/frontend.css');
	echo "\n</style>\n";
endif;

// get settings
$qSettings = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_shoutbox_settings` WHERE `section_id` = '".$section_id."'");

if ($qSettings->numRows() > 0) :
	$aSettings = $qSettings->fetchRow(MYSQLI_ASSOC);
	$max_length			= $aSettings['max_length'];
	$dmessage			= $aSettings['dmessage'];
	$use_smileys 		= ($aSettings['use_smileys'] == 1) ? true : false;
	$use_as_chat 		= ($aSettings['use_as_chat'] == 1) ? true : false;
	$shoutbox_height 	= $aSettings['shoutbox_height'];
	$show_linebreak 	= ($aSettings['show_linebreak'] == 1) ? true : false;
	$show_display_name 	= ($aSettings['show_display_name'] == 1) ? true : false;
	$name_readonly		= ($aSettings['name_readonly'] == 1) ? 'readonly' : '';
	$moderator_id		= $aSettings['moderator_id'];
	$show_date 			= ($aSettings['show_date'] == 1) ? true : false;
	$show_time 			= ($aSettings['show_time'] == 1) ? true : false;
	$hide_username 		= ($aSettings['hide_username'] == 1 AND $wb->is_authenticated()) ? true : false;
	$use_alternative_display = ($aSettings['use_alternative_display'] == 1) ? true : false;
	$hide_reload 			= ($aSettings['hide_reload'] == 1) ? true : false;
else :
	$max_length 		= '150';
	$dmessage 			= '20';
	$use_smileys 		= false;
	$use_as_chat 		= false;
	$shoutbox_height 	= '200';
	$show_linebreak 	= true;
	$show_display_name 	= false;
	$name_readonly		= true;
	$moderator 			= 0;
	$hide_username 		= false;
	$use_alternative_display = false;
	$hide_reload = false;
endif;

$fHasError = false;

// handle the entries
if (isset($_POST['shoutbox_submit'])) :
	$_POST = array_map(array($database, 'escapeString'), $_POST);

	// to prevent script injection
	$fouls = array("<?php", "<?", "?>", "<script", "</script>");
	// to prevent counting of cr & lf
	$clean = array('\r', '\n');

	$name		= str_replace($fouls, '', $_POST['shoutbox_name']);
	$ip			= $_POST['shoutbox_ip'];
	$message 	= str_replace($fouls, '', $_POST['shoutbox_message']);
	$mlen		= strlen(str_replace($clean,'',$message));
	$date		= time();

	// are there errors?
	if ($name == "" || $name == $MOD_SHOUTBOX['GUEST']) :
		$error_msg = $MOD_SHOUTBOX['ERRNICK'];
		$fHasError = true;
	elseif ($message == "") :
		$error_msg = $MOD_SHOUTBOX['ERRMSG'];
		$fHasError = true;
	elseif ($mlen > $max_length) :
		$error_msg = $MOD_SHOUTBOX['ERRMSGLG'];
		$fHasError = true;
	else :
		// no errors, so let's go
		$fHasError = false;
		$fields = array (
			"section_id"	=> $section_id,
			"page_id"		=> $page_id,
			"name"			=> $name,
			"ip"			=> $ip,
			"message"		=> $message,
			"date"			=> $date
		);

		$query  = "INSERT INTO `".TABLE_PREFIX."mod_shoutbox` (`";
		$query .= implode("`,`", array_keys($fields));
		$query .= "`) VALUES( '";
		$query .= implode("','", array_values($fields));
		$query .= "')";

		if (is_string( $query)) :
			$result = $database->query( $query );
			if (true === $database->is_error()) return $database->get_error();
		endif;
	endif;
endif;

// prepare the smileys
$smileys = array(
	":("		=> "sad.gif",
	"=("		=> "sad.gif",
	";("		=> "cry.gif",
	":@"		=> "mad.gif",
	":)"		=> "smile.gif",
	"=)"		=> "smile.gif",
	":D"		=> "laugh.gif",
	":d"		=> "laugh.gif",
	":p"		=> "tongue.gif",
	":P"		=> "tongue.gif",
	":O"		=> "shocked.gif",
	":o"		=> "shocked.gif",
	";)"		=> "wink.gif",
	":S"		=> "sick.gif",
	":s"		=> "sick.gif",
	":roll:"	=> "roll.gif"
);

$base_path = WB_URL."/modules/shoutbox/smileys/";

$aSmileys = array();
foreach ($smileys as $key => $value) :
	$aSmileys[$key] = '<img class="smileys" src="'.$base_path.$value.'" alt="'.$key.'">';
endforeach;

// eliminate the double smileys for display
$smileys = array_unique($smileys);

// get and prepare the entries data
$query = "SELECT * FROM `".TABLE_PREFIX."mod_shoutbox` WHERE `section_id` = '".$section_id."' ORDER BY `id` DESC LIMIT ".$dmessage;
$qData = $database->query($query);

$aData = [];
$i = 0;
while ($r = $qData->fetchRow(MYSQLI_ASSOC)) :
	$user_name = strip_tags($r['name']);
	$user_id = $database->get_one("SELECT user_id from ".TABLE_PREFIX."users WHERE username = '$user_name' OR display_name = '$user_name'");
	if ($moderator_id == $user_id) :
		$aData[$i]['name'] = '<span class="moderator">'.$user_name.'</span>';
	else :
		$aData[$i]['name'] = $user_name;
	endif;
	if ($show_linebreak === true) :
		$message = nl2br(strip_tags($r['message']));
	else :
		$message = strip_tags($r['message']);
	endif;

	$date_time_string = '';
	if ($show_date === true) $date_time_string .= gmdate(DATE_FORMAT, $r['date'] + TIMEZONE).' ';
	if ($show_time === true) $date_time_string .= gmdate(TIME_FORMAT, $r['date'] + TIMEZONE);

	$aData[$i]['entry_time'] = $date_time_string;
	$aData[$i]['time_width'] = ($date_time_string == '') ? 'style="width:0;"' : '';

	$aData[$i]['date_string'] = gmdate(DATE_FORMAT, $r['date'] + TIMEZONE);
	$aData[$i]['time_string'] = gmdate(TIME_FORMAT, $r['date'] + TIMEZONE);

	if ($use_smileys === true) :
		$message = str_replace (array_keys($aSmileys), array_values($aSmileys), $message);
	endif;
	$aData[$i]['message'] = $message;

	$i++;
endwhile;

// get the username / displayname and user_id
if ($wb->is_authenticated()) :
	if ($show_display_name === true) :
		$shoutbox_name = $wb->get_display_name();
	else :
		$shoutbox_name = $wb->get_username();
	endif;
else :
	$shoutbox_name = $MOD_SHOUTBOX['GUEST'];
	$name_readonly = false;
endif;

// include the template file
include "tpl/view.tpl";
